SYSCALL(2)

NAME
syscall - indirect system call

SYNOPSIS
syscall(number, arg, ...)

DESCRIPTION
Syscall performs the system call whose assembly language interface has the specified number, and arguments arg.

The r0 value of the system call is returned.

DIAGNOSTICS
When the C-bit is set, syscall returns -1 and sets the external variable errno (see intro(2)).

BUGS
Certain system calls, such as brk(2), dup(2), fork(2), pipe(2), sigvec(2), vfork(2), wait(2), and wait3(2), cannot be accessed using this interface. These syscalls require extra interface code, which is normally provided in the C library entry points. This interface code is not provided through the syscall(2) invocation, however.

Some syscall numbers differ between DYNIX and the VAX version of 4.2bsd. Programs that fail to use the symbolic definitions of these syscalls from <syscall.h> will fail in unexpected ways when ported to and from DYNIX.